# create-filters

## Purpose

The `create-filters` command will create a Grails filters class for the given base name.

## Examples

    grails create-filters logging

## Description

Creates a filters class for the give base name. For example for a base name `logging` a filters class called `LoggingFilters` will be created in the `grails-app/conf` directory.

> Note that this command is merely for convenience and you can also create filters in your favorite text editor or IDE if you choose.

Usage:

    grails create-filters [name]

Fired Events:

- `CreatedFile` - When the filters class has been created